PSA2MSA(1)

NAME
psa2msa - reformat PSA file to Pearson/Fasta multiple sequence alignment file

SYNOPSIS
psa2msa [ -dlpu ] [ [ psa-file | - ] ] [ M=#]

DESCRIPTION
psa2msa reformats a PSA-formatted profile-sequence alignment file into a Pearson/Fasta-formatted multiple sequence alignment file. The result is written to the standard output. psa-file contains alignments of several sequence segments to the same profile in PSA format. Such a file is typically generated by program pfsearch using option -x. The output can be converted into other formats ( e.g. MSF) with the aid of the public domain program readseq (available from ftp.bio.indiana.edu:/molbio/readseq). psa2msa can be used as a filter if - is used instead of the input filename, or if the input filename is omitted.

OPTIONS

-d  Replace periods by dashes on output.

-l  Replace upper case letters by lower case letters on output.

-p  Replace dashes by periods on output.

-u  Replace lower case letters by upper case letters on output.

PARAMETERS

M=# Maximal length of an insertion. If the real length of an insertion exceeds this value, the excess number of residues will be deleted from the center of the insertion. M=0 means no upper limit for the length of an insertion. Setting an insertion length limit helps to keep the resulting alignment at manageable size. Default: M=0.

EXAMPLES

(1) pfsearch -bx ecp.prf CVPBR322 | psa2msa -du | readseq -p -fMSF > ecp.msf

    Generates a multiple sequence alignment of predicted E. coli promoters on both strands of plasmid pBR322. ecp.prf contains a profile for E. coli promoters. CVPBR322 contains EMBL entry J01749|CVPBR322. The result in ecp.msf can further be processed by GCG programs accepting MSF files as input.

    See also manual pages of pfsearch.

AUTHOR
Philipp Bucher
Philipp.Bucher@isrec.unil.ch